<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|		Plugin CretaFoldersAlpha		|
\***************************************/

## Crée une arborescence alphanumérique dans la dossier source
## Ne supporte pas une arborescence pré-existante

$handle = opendir($DIRsource);

while ($file = readdir($handle)) {
	if ($file != '.' && $file != '..' && !is_dir($DIRsource.'/'.$file)) {
		// Récupère le parties du nom servant à créer les dossiers
		preg_match('#(.{1})([0-9A-Za-z.-]*)_(.*)#', $file, $matches);

		// Crée les dossier
		if (!file_exists($DIRsource.strtoupper($matches[1]).'/'.$matches[1].$matches[2])) {
			mkdir($DIRsource.strtoupper($matches[1]).'/'.$matches[1].$matches[2], 0777, true);
		}
		
		// Déplace le fichier
		rename($DIRsource.$file, $DIRsource.strtoupper($matches[1]).'/'.$matches[1].$matches[2].'/'.$file);
	}	
}
?>